<?php
/**
* @version $Id: jsmyjspace.php $
* @version		2.5.7 21/02/2016 (for com_myjspace 2.3.4+ & Jomsocial 3.x+)
* @package		plg_jsmyjspace
* @author       Bernard Saulm
* @copyright	Copyright (C) 2011-2012-2013-2014-2015-2016 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined( '_JEXEC' ) or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once(JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'libraries'.DS.'core.php');

if (!class_exists('plgCommunityJSMyjspace'))
{
	class plgCommunityJSMyjspace extends CApplications
	{
		var $name   = 'JSMyjspace';
		var $_name  = 'JSMyjspace';

		public function __construct(&$subject, $config)
		{
			parent::__construct($subject, $config);
		}

		function onProfileDisplay() {
			$this->loadLanguage('plg_community_jsmyjspace', JPATH_ADMINISTRATOR);

			$return = '';
			$content = null;
			$user = CFactory::getRequestUser();

			$print_choice = $this->params->get('print_choice', 0);
			$print_tab = $this->params->get('print_tab', 1);
			$display_pages_mode = $this->params->get('display_pages_mode', 1);
			$display_pages_max = intval($this->params->get('display_pages_max', 10));
			$plg_label_pages = $this->params->get('plg_label_pages', 'Pages list');

			if (file_exists(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php')) {
				// Load the profile data from the database
				require_once JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php';

				// Personal page user info
				list($list_page_tab, $url) = BSHelperUser::GetUserUrl($user->id);
				$nb_page = count($list_page_tab);

				if ($nb_page == 0)
					return '';

				if (!isset($list_page_tab[0]['title']))
					return 'Please upgrade to BS MyJspace >= 2.3.4';

				if ($display_pages_mode == 0) {
					if ($nb_page > 1) {
						$return = '<div><a href="'.$url.'">'.$plg_label_pages.'</a></div>';
					} else if ($nb_page == 1) {
						if ($print_choice == 0)
							$return = '<div><a href="'.$url.'">'.$list_page_tab[0]['title'].'</a></div>';

						$id = $list_page_tab[0]['id'];
						if ($print_choice == 1 && ($content = BSHelperUser::mjsp_exist_page_content($id, 0)) != null)
							$return = "<div>".$content."</div>";
					}
				} else {
					if ($display_pages_mode == 1)
						$separ = '<b> &middot; </b>';
					else
						$separ = '<br />';

					$return = '<div>';
					$display_pages_max = min($nb_page, $display_pages_max);
					$i = 0;
					while ($i < $display_pages_max) {
						$url = Jroute::_('index.php?option=com_myjspace&view=see&pagename='.$list_page_tab[$i]['pagename']);
						$return .= '<a href="'.$url.'">'.$list_page_tab[$i]['title'].'</a>';
						if ($i < ($display_pages_max-1))
							$return .= $separ;
						$i++;
					}
					$return .= '</div>';
				}

				if ($print_tab == 1 && !($return))
					$return = '<div> </div>';
			} else {
				$return = "<div>".JText::_('PLG_JSMYJSPACE_COMPONENT_NOT_INSTALLED')."</div>";
			}

			return $return;
		}
	}
}
?>
